Bug 103259 - Change java error message on Mac
Summary: Change java error message on Mac
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2016-10-16 12:36 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-07-14 19:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-16 12:36:52 UTC
The patch to bug 94716 makes it only possible to use Oracle's JDK with Libreoffice on mac, so shouldnt we change the error message to better tell users of this requirement/limitation. Also the patch makes it not possible on mac os x 10.9 and below.

I've created a patch for this and would assume people would like to give their input on the string text "%PRODUCTNAME requires Oracle's Java Development Kit (JDK) on Mac OS X 10.10 or greater to perform this task. Please install them and restart %PRODUCTNAME."

https://gerrit.libreoffice.org/29920
Comment 1 steve -_- 2016-10-16 12:50:40 UTC
Sounds sane. Ideally include an URL to install that odd software for which no uninstaller exists and orcacle has created one of the most confusing websites to download from.

→ NEW
Comment 2 Yousuf Philips (jay) (retired) 2016-10-16 12:51:41 UTC
Download link is (atleast for the currently version) - http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html
Comment 3 V Stuart Foote 2016-10-16 14:29:40 UTC
(In reply to Yousuf Philips (jay) from comment #0)
> The patch to bug 94716 makes it only possible to use Oracle's JDK with
> Libreoffice on mac, so shouldnt we change the error message to better tell
> users of this requirement/limitation. Also the patch makes it not possible
> on mac os x 10.9 and below.
> 
> I've created a patch for this and would assume people would like to give
> their input on the string text "%PRODUCTNAME requires Oracle's Java
> Development Kit (JDK) on Mac OS X 10.10 or greater to perform this task.
> Please install them and restart %PRODUCTNAME."
> 
> https://gerrit.libreoffice.org/29920

@Jay, *

This is fine so long as we remember that Patrick L's patch to use a JDK contributed from NeoOffice is a workaround

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32bc8ddbf335dd26019edcf12758643b4cff9913

and must at some point be reverted when Oracle cleans up Apples mess.

At that point when JRE is again functional, this will need to be reverted as well.
Comment 4 Yousuf Philips (jay) (retired) 2016-10-16 15:01:01 UTC
@Stuart: Yes once things are back to using the old JRE combo (apple+oracle), the string would need to be changed. Or the newly added mac line in javainteractionhandler.cxx would simply need to remove the '_MAC' in it, which is something that can be backportable without string change problems.
Comment 5 Commit Notification 2016-10-24 08:43:46 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=967436ba7c552ea8fa30fd3b7abced231e174951

tdf#103259 Add java not found error for mac

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-07-14 13:21:22 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED